Ruby OpenID

A Ruby library for verifying and serving OpenID identities.

Features

Installing

Before running the examples or writing your own code you'll need to install the library. See the INSTALL file or use rubygems:

gem install ruby-openid

Check the installation:

$ irb
irb> require 'rubygems'
irb> require_gem 'ruby-openid'
=> true

The library is known to work with Ruby 1.8.4 on Unix, Max OSX and Win32. Examples have been tested with Rails 1.1 and 1.2, and 2.0.

Getting Started

The best way to start is to look at the rails_openid example. You can run it with:

cd examples/rails_openid
script/server

If you are writing an OpenID Relying Party, a good place to start is: examples/rails_openid/app/controllers/consumer_controller.rb

And if you are writing an OpenID provider: examples/rails_openid/app/controllers/server_controller.rb

The library code is quite well documented, so don't be squeamish, and look at the library itself if there's anything you don't understand in the examples.

Homepage

github.com/openid/ruby-openid

See also: openid.net/

Community

Discussion regarding the Ruby OpenID library and other JanRain OpenID libraries takes place on the the OpenID mailing list on openid.net.

openid.net/developers/dev-mailing-lists/

Please join this list to discuss, ask implementation questions, report bugs, etc. Also check out the openid channel on the freenode IRC network.

If you have a bugfix or feature you'd like to contribute, don't hesitate to send it to us. For more detailed information on how to contribute, see

http://openidenabled.com/contribute/

Author

Copyright 2006-2008, JanRain, Inc.

Contact openid@janrain.com or visit the OpenID channel on pibb.com:

pibb.com/go/openid

License

Apache Software License. For more information see the LICENSE file.